Tutorial

ARES TUTORIAL

Introduction

Le but de ce tutorial est de vous familiariser aussi rapidement que possible avec les caractéristiques principales d’ARES. Les utilisateurs aux connaissances modestes en informatique devraient être en mesure de produire leur première carte en un jour ou deux.

Ce tutorial présente la réalisation d’une carte pour apprendre, par la pratique, la manipulation des points importants du logiciel, tels que:

  • Les techniques de base du placement et du routage.

  • La visualisation 3D du circuit.

  • La conception basée sur une netlist avec routage manuel et automatique.

Des techniques avancées d'édition telles que les éditions de bloc et l’édition de pistes routées.

  • La génération des rapports – Outils CRC et DRC.

  • Génération des sorties imprimées.

  • Création des composant de bibliothèques.

Nous vous invitons à travailler sur l’ensemble des exercices de ce cours. Vous risqueriez, sinon, de manquer énormément d’informations qui vous feront perdre du temps lors de la réalisation de vos propres cartes.

Notez que l'ensemble du tutorial fait référence aux raccourcis clavier par défaut. Veuillez utiliser les vôtres si vous les avez configurés autrement.

Les barres de menus et les icônes commutent lorsque vous changez d'onglets (par exemple lorsque vous passez de ISIS à ARES) afin de correspondre à ceux du modules sur lequel vous travaillez. Les commandes ou les icônes auxquels nous faisons références dans ce tutorial sont ceux de ARES (PCB).

Généralités sur l'éditeur de circuits

A ce stade, nous supposons que vous avez installé le logiciel et que le répertoire de travail est un répertoire approprié de votre disque dur. Ce tutorial reprend le projet développé dans ISIS. Pour commencer, nous allons charger le fichier projet contenant le schéma complet de notre circuit.

A partir de la page d'accueil Proteus, cliquez sur le bouton 'Ouvrir Exemple', aller sur la catégorie 'Tutoriaux' dans la colonne de gauche et sélectionnez le projet dsPIC33 Recorder (schematic only) dans le tableau de droite, comme montré ci-dessous :

Cette action va ouvrir le projet qui contient le schéma complet conçu à partir du tutorial ISIS. Nous pouvons démarrer le module PCB (ARES) en cliquant sur le bouton correspondant dans la barre de menus située en haut de la page d'accueil Proteus.

Si vous travaillez sur deux écrans ou avez un espace libre sur votre écran pour glisser-déposer un des onglets de Proteus, vous pourrez avoir un aperçu simultané d'ISIS et d'ARES. Si ce n'est pas le cas, vous pouvez passer d'un module à l'autre avec la souris ou en utilisant le raccourcis clavier CTRL+TAB.

L'interface ARES est très proche de celle d'ISIS, mais avec plusieurs différences importantes.

La fenêtre principale

La zone la plus grande de l'écran ARES, s'appelle la 'Fenêtre d'édition' et se comporte comme une fenêtre de dessin – c’est dans cette zone que vous placerez vos composants et effectuerez le routage de la carte. La région plus petite, en haut et à gauche de l'écran s'appelle 'Vue d'ensemble'. Normalement, cette vue d'ensemble, comme son nom l'indique, s'utilise pour afficher une vue générale de la totalité du dessin - le cadre bleu montre les limites de la feuille en cours et le cadre vert montre la région visualisée dans la fenêtre d'édition. Cependant, quand on choisit un nouvel objet dans le sélecteur d'objets, la fenêtre d'ensemble fournit un aperçu de l'objet. Nous reviendrons ultérieurement sur ce point.

Fenêtre d'édition ARES

La barre de contrôle

La barre de contrôle, qui se situe en bas de la fenêtre principale, est quelque peu différente de celle de l'éditeur ISIS et se compose de 4 parties principales (voir ci-dessous) :

La deuxième barre à gauche s'appelle le filtre de sélection (selection filter) qui permet de configurer les couches et les objets à sélectionner dans le mode d’opération courant. Classiquement, les règles par défaut conviendront, sauf lorsque vous souhaiterez affiner votre sélection. La liste déroulante de sélection de couche tout à gauche valide la couche de travail - lors du placement des objets par exemple..

Filtre de sélection ARES

La zone d’état (status bar) de la partie centrale contient des informations textuelles sur l’objet placé sous la souris. Ceci est particulièrement utile lorsque vous placez la souris au-dessus d’une pastille, car vous obtiendrez l’information sur le lien auquel elle est connectée.

Barre de status de l'éditeur ARES

Nous avons ensuite le status de la relation entre ISIS et ARES qui contrôle la synchronisation entre le PCB et le schéma en temps réel - cette synchronisation peut être dévalidée si nécessaire.

Information sur la Netlist Information et le CRC dans la barre de contrôle

Plus vers la droite se trouve le contrôleur des règles de conception – DRC pour Design Rule Checker. Il indique les éventuelles violations des règles de conceptions physiques. Un clic gauche dans cette zone ouvre une boite de dialogue qui détaille les erreurs.

Indication des règles de conception de l'éditeur ARES

La zone la plus à droite affiche les coordonnées du curseur. Elle n’est pas représentative de la position de la souris, mais de la position sur laquelle la souris est verrouillée par rapport à la grille. Le choix du pas de grille courant se fait dans le menu ‘Affichage’ (raccourcis clavier par défaut CTRL-F1 et F2 -F4) et les valeurs du pas de grille peuvent être configurées par la commande ‘Définir grille’ du menu ‘Système’.

Affichage des coordonnées

Les coordonnées sont exprimées en unités impériales (thou) ou en unités métriques (touche ‘M’ par défaut), via la commande 'Métrique'. On peut aussi définir une fausse origine (le zéro est positionné sur le curseur lorsque la commande est utilisée) en utilisant la commande ‘Origine’ (touche ‘O’ par défaut) et, dans ce cas, les coordonnées changent de couleur et passent du noir au magenta.

La grille de points de la fenêtre d’édition peut être affichée ou non via la commande ‘Grille’ (touche ‘G’ par défaut). L’espacement entre points correspond au pas de la grille courante, sauf lorsque vous zoomez arrière. Dans ce cas, la valeur de l’espacement est un multiple convenable du pas de grille.

ARES peut être configuré pour afficher un curseur X à la position grille du pointeur, par la commande Curseur-X, ou la touche ‘X’ par défaut.

Après ce tour d’horizon de l’éditeur de circuit nous allons poursuivre notre tutorial qui permettra d’approfondir les points évoqués.

Navigation

Dans l'éditeur de circuit ARES, la navigation est identique à celle de l'éditeur de schémas ISIS. Pour plus d'informations à ce sujet, veuillez vous référer au manuel ISIS.

Aide visuelle à la conception des circuits

Dans ISIS et ARES, des effets visuels sont une aide pour comprendre ce qui se passe pendant la création de votre carte. Il existe 2 techniques principales

  • ARES fera clignoter un objet lorsque le curseur de votre souris passe dessus et le filtre de sélection pourra mettre en exergue tous les objets du même type.

  • ARES inclut des curseurs dynamiques qui changent de forme pour identifier le type d'action demandée (clic gauche avec la souris) comme "placer un objet", "sélectionner un objet", "déplacer un objet", etc. Vous trouverez ci-dessous la liste des curseurs disponibles dans ARES et leur signification :

Cursor | Description
 | Curseur standard.
 | Curseur placement - un clic gauche place l'object correspondant au mode.
 | Curseur sélection - un clic gauche sélectionne l'objet sous la souris.
 | Curseur mouvement - un glissement gauche déplacera l'objet(s) sélectionné(s).

Tout au long du tutorial - et bien évidemment lorsque vous utilisez ARES - tenez compte de ces indicateurs visuels.

Proteus 8 inclut un système ‘annuler’ - ‘rétablir’ multiple grâce aux raccourcis clavier CTRL+Z et CTRL+Y. En cas d'erreur de manipulation il est ainsi possible de revenir en arrière autant de fois que nécessaire!

Options d'affichage

ARES est capable d'utiliser la puissance de votre carte graphique pour accélérer les opérations d'affichage, grâce à OpenGL. Cependant, toutes les machines ne possèdent pas une carte graphique assez puissante; c'est pourquoi le logiciel est capable d'utiliser Windows pour exécuter les opérations d'affichage et de graphisme. 3 modes sont disponibles :

  • Mode Windows GDI.

  • Mode Accélération matérielle OpenGL

  • Mode Accélération matérielle Direct2D

Quand vous ouvrez Proteus pour la première fois, le logiciel utilisera le mode d'accélération par défaut. Vous pouvez modifier les options d'affichage et d'accélération matérielle en utilisant la commande 'Options d'affichage' du menu 'Système'. Certaines options sont associées à un mode d'affichage particulier et ne seront pas disponibles lorsque vous sélectionnerez un mode différent.

Mode Graphique

La première section de la boite de dialogue vous permet de spécifier si votre carte graphique supporte le mode Open GL ou Direct2D, ce qui permet de commuter entre le mode GDI et ces deux autres modes.

Opacité

Quand le mode graphique est sélectionné, la section 'Opacité' de la boite de dialogue vous permet de configurer le degré de transparence des différentes couches de la carte.

Les curseurs linéaires règlent l'opacité des différentes couches

En mode accélération matérielle, ARES donne une opacité plus importante à la couche principale par rapport aux autres couches du schéma. En clair, les objets placés sur la couche de travail apparaissent de façon plus visible que les objets des autres couches. Vous pouvez contrôler l'opacité relative de la couche principale comme celle de(s) la(les) couche(s) d'arrière-plan en utilisant la boite de dialogue prévue à cet effet (voir image ci-dessus). Par exemple, si vous souhaitez minimiser la transparence, vous pouvez déplacer le curseur de la couche du fond à son maximum dans la boite de dialogue (voir ci-dessus).

Les modes accélération matérielle comprennent par ailleurs une nouvelle fonction: la possibilité de voir le vernis épargne et le masque de soudure autour des pastilles ainsi que les traversées du circuit. Pour ce faire, vous devez ajuster les paramètres d'opacité des couches.

Panoramique automatique

Dans ARES, tenez la touche shift enfoncée et amenez le curseur de la souris contre le bord de la fenêtre d'édition; cette action vous permettra de faire un panoramique sur l'écran. De façon similaire, déplacer un objet contre le bord de la fenêtre d'édition entraînera un panoramique dans la direction du déplacement. Ce type de navigation, appelé panoramique automatique, se contrôle via les options de la boite de dialogue.

Configuration de la vitesse du panoramique

Vous pouvez ajuster la distance de déplacement du panoramique, le nombre de pas qui couvre cette distance et la vitesse de l'animation. Toutes ces options sont disponibles en fonction du mode d'affichage spécifié.

Animation de mise en surbrillance

En mode accélération matérielle, les objets sont mis en surbrillance lorsque la souris passe dessus pour vous informer qu'ils sont sélectionnables. Les options de mise en surbrillance vous permettent d'en contrôler l'intensité et la vitesse de cet effet.

Configurer les options de mise en surbrillance dans ARES

Le groupe animation contrôle la vitesse de l'animation. Normalement, les valeurs par défaut sont appropriées.

Le taux d'attaque spécifie la vitesse à laquelle un objet passera de ‘totalement off’ à 'totalement on’ et le taux de sortie vous permet d'ajuster la vitesse à laquelle un objet retournera à ‘totalement off’.

Ces options ne sont valables que si un des modes accélération matérielle est activé.

Multi-échantillonnage

Le multi-échantillonnage (multi-sampling) est une méthode utilisée par les cartes graphiques pour réduire les effets d'aliasing qui se produisent quand des graphiques sont affichés avec différents niveaux de zoom. Cette fonction concerne avant tout les textes mais elle impacte également sur tous les éléments graphiques du projet.

Quand vous travaillez sous mode OpenGL, vous pouvez spécifier le niveau de multi-échantillonnage que vous voulez utiliser. Plus le niveau est élevé, meilleur sera le résultat affiché. Cependant, les ressources CPU seront également davantage utilisées. Si vous sélectionnez un niveau de multi-échantillonnage qui n'est pas supporté par votre carte graphique, le logiciel se réglera automatique au niveau supporté par votre matériel. Pour toutes les opération basiques effectuées dans ARES, un niveau de multi-échantillonnage de 4x est largement suffisant.

Options d'affichage des couches

Les options d'affichage des couches vous permettent de contrôler la visibilité et les couleurs des couches de la carte. Vous pouvez lancer cette boite de dialogue à partir du menu 'Affichage' ou en cliquant sur la barre de status en bas de l'application.

Vous pouvez changer la couleur d'une couche par un clic sur la couleur à côté de la couche et contrôler la visibilité de la couche via la boite de contrôle. Tous les changements sont répercutés en temps réel.

Vous pouvez commuter entre les profils de couleurs pré-définies (impression et écran) ou également créer votre profil de couleurs grâce au bouton 'nouveau' placé en haut de la boite de dialogue.

Si vous travaillez en mode OpenGL ou Direct2D, les options d'affichage Vernis épargne/Masque soudure permettent d'afficher ces informations pour montrer la couverture autour des pastilles et des traversées. Vous pouvez changer l'intensité des couches en appelant la boite de dialogue des options d'affichage et en ajustant les barres de contrôles jusqu'à obtenir le résultat souhaité.

Placement des composants

Proteus 8 travaille avec une netlist temps réel; par conséquent, le module ARES contient déjà les informations dont nous avons besoin pour démarrer le processus de placement des composants. En particulier les empreintes associées aux symboles du schéma sont répertoriés en vue de leur placement. A ce stade il est important de noter une différence essentielle entre un composant et un package (boîtier).

Composants et Packages

  • un composant est un objet spécifié dans une netlist,
  • Un package est une empreinte physique qui existe dans les bibliothéques ARES.

La validation de l'icône du mode composant donne accès aux empreintes qui correspondent aux éléments du schéma ISIS et qui contiennent les informations de connectivité, alors que de l'icône du mode package donne accès aux instances physiques des empreintes, sans les connexions associées. Lorsque nous travaillons sur un circuit déduit d’un schéma nous utilisons exclusivement le mode composant.

L’icône du mode composant est le deuxième dans la liste à partir du haut et se trouve immédiatement sous l’icône de sélection. Un clic sur cet icône affiche la liste des empreintes dans le sélecteur d’objets. Cette liste correspond à tous les éléments d’ISIS utilisés dans le schéma.

Mode Composant

Le mode package se situe immédiatement sous le mode composant. Sa validation liste les empreintes physiques des composants du circuit ou ceux choisis en bibliothèques.

Mode Package

Lors du placement, du routage et de la réalisation d’un circuit imprimé à partir d’une netlist (comme dans le cas de ce tutorial), nous travaillerons en mode composant.

le bord de carte

Avant de placer les composants, il est nécessaire de définir la forme et la taille du circuit imprimé. Notre projet ne requiert qu’un circuit simple dont nous souhaitons contrôler les dimensions (115mm de large et 40mm de haut).

Il est fondamental de savoir qu’ARES peut travailler en unités métriques ou impériales et qu’il est possible de commuter entre ces deux unités par la commande ‘Unités’ du menu ‘Affichage’ ou en utilisant le raccourci clavier ‘M’.

Pour placer le bord de carte, validez l’icône ‘Rectangle 2D’ de la partie gauche de l’application.

2D Box Icon

Puis modifiez le sélecteur de couches et choisissez la couche Board Edge (bord de carte).

Sélecteur de couche

Déplacez la souris au point de départ (par exemple en haut et à gauche). A présent ne touchez plus la souris et appuyez sur le touche ‘O’ du clavier pour valider l’origine du système de coordonnées sur le point au-dessous du pointeur souris. Les coordonnées sont affichées en bas et à droite de l’interface. Cliquez gauche pour commencer le placement et étirez un rectangle. Les coordonnées affichées en bas afficheront les dimensions du bord de carte lors du déplacement de la souris.

Dimension du bord de carte par rapport à la nouvelle origine

Utilisez la touche ‘M’ du clavier pour commuter entre les modes métrique et impérial si nécessaire. Lorsque la taille souhaitée est obtenue cliquez gauche à nouveau pour valider le placement. Ne vous inquiétez pas de la position de votre circuit – nous le déplacerons au centre plus tard.

Le bord de carte est toujours dessiné en jaune

Pour terminer revenez à l’origine du système de coordonnées par défaut en appuyant à nouveau sur la touche ‘O’ du clavier. La couleur des coordonnées affichée passe du magenta au noir pour indiquer que l’origine globale est utilisée.

origine globale

Le placement d’un bord de carte devrait être la première action entreprise afin d’indiquer au logiciel les limites qui seront utilisées par des outils tels le routeur automatique et le générateur de plan de masse.

Si vous désirez supprimer le bord de carte ou modifier ses dimensions, utilisez les options du menu contextuel ou les poignées qui apparaissent après un clic droit sur le contour graphique du bord de carte.

Cliquez droite sur le graphique 2D et choisissez 'Supprimer objet'

Les formes plus complexes de circuits peuvent, par exemple, être importées comme bord de carte via la fonction d'import DXF du menu Fichier.

Voir également:

Import fichier DXF

Espace de travail, coordonnées, grille

Il est probable que votre circuit n’occupe qu’une petite portion de la fenêtre d’édition. Afin de travailler correctement dans cette zone il est possible de zoomer (pointez avec la souris et utilisez la molette ou la touche F6). Le niveau de zoom par défaut affiche la totalité de l’espace de travail. L’espace de travail correspond à l’espace compris à l’intérieur du rectangle bleu sombre. Tachons de préciser ce point avant de poursuivre.

Commencez par valider le mode de sélection puis cliquez gauche et étirez un rectangle de sélection autour du bord de carte.

Etirez un rectangle de sélection autour de l'objet

Assurez-vous que le rectangle de sélection recouvre totalement le circuit. Si ce n’est pas le cas, redimensionnez-le avec les petits carrés verts qui servent d'ancrage.

Re-dimensionner un graphique 2D

A présent placez la souris à l'intérieur du rectangle, maintenez le bouton gauche enfoncé et déplacez la portion à l'endroit désiré puis relachez le bouton pour valider le placement.

Déplacez un graphique 2D

Cette manipulation est très importante car elle vous permet de sélectionner rapidement et facilement des blocs d’objets sur lesquels vous pourrez agir (déplacer, supprimer, etc.)

Après avoir centré le circuit nous allons réduire la taille de l’espace de travail. Lancez la commande ‘Définir espace de travail’ du menu ‘Système’ et validez les données 175mm par 100mm.

Setting the board properties

Nous avons déjà vu, lors du placement du bord de carte, qu’il était possible de définir une origine temporaire – elle peut être utilisée pour placer des éléments de taille connue ou pour placer des éléments à une distance connue de l’origine, par exemple. Il est également possible de définir une origine de sortie. Par défaut c’est l’origine repérée par un petit marqueur bleu.

Il peut être pratique de placer ce repère dans un coin du circuit, particulièrement si vous êtes soumis à des contraintes mécaniques (tels que les trous de fixation). Pour notre projet nous placerons l’origine en bas et à gauche.

1) Lancez la commande ‘Définir origine de sortie’ du menu ‘Sorties’.

2) Déplacez la souris vers le bord inférieur gauche du circuit. Utilisez la molette souris pour zoomer et améliorer la précision du placement.

3) Cliquez gauche avec la souris pour valider le placement.

A présent l’affichage des coordonnées fournira des valeurs relatives à cette position.

Souvenez-vous qu’il est possible de commuter entre les unités métrique ou impérial – menu ‘Affichage’ ou raccourci ‘M’.

Lorsque l’origine est connue vous pouvez utiliser la commande ‘Aller en X Y’ du menu ‘Affichage’ pour positionner la souris à l’endroit exact de placement d’éléments sensibles.

ARES possède une grille par défaut qui est utilisée pour recaler les objets afin de faciliter les connections. Quatre pas de grille existent pour les deux systèmes métrique et impérial, modifiables dans le menu ‘Affichage’ ou par les raccourcis clavier. Il est ainsi possible de diminuer le pas pour une meilleure granularité ou de l’augmenter pour faciliter la sélection des objets lorsque le niveau de zoom est important. Il est recommandé de se fixer un pas valable pour toute la carte plutôt que de changer constamment la valeur du pas.

Les valeurs du pas par défaut sont modifiables par la commande ‘Définir grille’ du menu ‘Technologie’ (voir ci-dessous).

Définir les pas de la grille dans le menu 'Technologie'

L'affichage de la grille peut être validé ou invalidé via la touche 'G' du clavier, alors que la couleur de la grille est configurable dans la Boite de diaglogue des couches affichées (menu Affichage).

Placement des composants et chevelu

A présent que les informations de base ont été présentées, nous pouvons passer au placement des composants sur le circuit. L’écran suivant montre un circuit totalement placé que nous utiliserons comme base de travail.

Carte dsPIC33 non-routée

Le placement des composants dans ARES est comparable à celui d’ISIS.

Commencez par valider le mode composant dans le jeu d’icônes disponible à gauche et assurez-vous que le sélecteur de couche est positionné sur la couche composant – nous ne placerons rien sur la couche soudure dans ce projet.

Mode Composant et Sélecteur de couche

Le sélecteur d'objet contient par défaut une liste de composants à placer. Cependant, pour les cartes plus complexes, vous pouvez limiter l'affichage aux seuls composants sélectionnés dans le schéma.

Composants sélectionnés dans ISIS et visibles dans le mode de marquage des composants

Cette fonctionnalité vous permet de sélectionner des composants de votre projet sur le schéma, puis de les placer et de les router dans ARES sans être encombré par les autres composants dans le sélecteur d'objets. Notre carte est relativement simple; par conséquent, nous travaillerons avec tous les composants dans le sélecteur d'objets.

Commençons par placer le conteneur de piles AA à droite de la carte. Sélectionnez J1 dans le sélecteur d’objets, placez l’élément et cliquez gauche pour valider le placement. Une fois le composant placé celui-ci disparaît de la liste du sélecteur d’objets. Placez ensuite le connecteur J2 juste au-dessus et à droite des piles.

Vous noterez que, pendant le placement, des lignes élastiques vertes apparaissent entre les deux composants ainsi qu’une flèche jaune centrée sur chaque composant. Les lignes vertes sont des lignes de chevelu qui montrent les connexions à réaliser alors que les flèches jaunes (appelées ‘vecteurs de force’) montrent la direction préférentielle de l’élément qui minimise la longueur du chevelu. Les vecteurs de force sont une aide afin de réduire les lignes de chevelu. Pour l’instant nous allons les dévalider.

Carte dsPIC33 une fois les composants placés

Lancez la commande ‘Couches’ du menu ‘Affichage’. La boite de dialogue qui s’ouvre montre les couches disponibles dans ARES avec les options de couleur et de visibilité. Décochez la case ‘Vecteurs de force’ et fermez la fenêtre.

Décochez la case 'vecteurs de force' et 'Chevelu' comme ci-dessus

Vous pouvez également lancer cette fenêtre avec un clic souris sur la barre de status dans la partie inférieure de l’application.

Cette fenêtre ne contrôle que la visibilité; pour contrôler la façon dont les objets d’une couche peuvent être sélectionnés/édités il faut se servir des filtres de sélection qui sont présentés plus loin dans la documentation.

Voir également:

Caractéristiques du chevelu

Vous aurez peut-être besoin de contrôler finement la position du connecteur J2. Rappelez-vous que les objets sont reliés à une grille et qu’il est possible de sélectionner une grille plus fine grâce aux options du menu ‘Affichage’, par exemple avec un pas de 1mm.

Si vous travaillez en unités impériales vous pouvez choisir un pas de 25th ou utiliser le raccourci ‘M’ pour passer en unité métrique.

A présent que le pas de grille nous convient, cliquez sur l’élément pour le sélectionner et déplacez-le à la position désirée. Nous pouvons rapprocher le connecteur du bord de la carte si nous déplaçons le label sous l’élément. Ici encore le processus est identique à celui utilisé dans ISIS – pour déplacer le label cliquez gauche sur lui et pas sur le corps du composant.

Poursuivez et placez les composants principaux U1 (dsPIC33), U2 (mémoire I2C), U3 (capteur température/humidité) et U4 (dual op-amp), afin d’obtenir un circuit qui ressemble à celui ci-dessous.

Placement de J1 etJ2 + message avertissant de l'absence d'une connexion

Le plus souvent, l'absence de connexion désigne une connexion de fil sur le schéma qui n'a pas été routée. Normalement, lorsque la carte est terminée, aucun statut de lien manquant ne doit apparaître. Nous aborderons cette question plus en détails un peu plus tard dans ce tutorial.

Nous pouvons désormais placer les autres composants principaux - U1 (dsPIC33), U2 (I2C mémoire), U3 (Capteur temp/humidité) and U4 (dual op-amp) - de la même façon. Si tous les composants ont été correctement placés, votre carte devra ressemblait à celle de la copie écran ci-dessous :

dsPIC33board à ce stade...

Notez que les empreintes S08 utilisées pour les composants U2, U3 et U4 ont été rotées afin de réduire la longueur du chevelu. Il est préférable de faire cela pendant le placement car l’affichage du chevelu ainsi que sa mise à jour en temps réel sont de précieuses indications visuelles.

Commencez par placer U1 puis lancez le placement d’U2 par un clic gauche dans la fenêtre d’édition. A présent utilisez les touches ‘+’ et ‘-‘ de votre clavier numérique pour tourner le composant pendant le placement, terminez par un clic gauche par valider le placement. Faites de même pour U3 et U4 afin d’obtenir le placement présenté ci-dessus.

Deux solutions existent pour le placement des composants. Vous pouvez placer manuellement les composants ou, si vous possédez une licence Proteus PCB niveau 2, 2+ ou 3, utilisez l’outil de placement automatique – l’outil est présent dans le menu ‘Outils’ et les options par défaut conviendront. Dans les deux cas, si vous le souhaitez, vous pouvez temporairement dévalider la visualisation des lignes de chevelu pendant le placement.

Le placement automatique peut être lancé à partir du Menu 'Outils' du module ARES. Dans notre cas, les options par défaut suffisent.

Sélection du placement automatique dans le menu Outils

Voir également:

Placement automatique

Quelle que soit la méthode utilisée placez tous les composants pour obtenir un circuit équivalent à celui présenté ci-dessous. Laissez un peu de place dans la partie inférieure de la carte afin que des pistes puissent circuler depuis et vers le connecteur J2.

Il est important de conserver à l’esprit les points suivants pendant le placement:

  • La molette de la souris effectue un zoom avant/arrière pendant le placement (identique aux raccourcis clavier F6 et F7)

  • Un clic droit sur un composant placé affiche un menu contextuel qui contient des options pour déplacer, roter ou supprimer l’élément.

  • Modifier le pas de grille et obtenir une grille plus fine facilite le positionnement mais complique les opérations de sélection.

  • Si vous placez un élément à une position illégale (par exemple au-dessus d’un autre élément) vous obtiendrez une ou plusieurs violations des règles de conception. Pour l’instant, placez les éléments à une position autorisée – nous parlerons des règles de conception dans un autre chapitre.

Erreurs signlées par le gestionnaire des règles de conception

Lorsque vous serez habitués au placement et au déplacement des éléments, passez au paragraphe suivant. Nous chargerons alors un circuit placé avant de présenter le routage et les règles de conception.

Trous de fixation et style des pastilles

Avant de poursuivre, regardons la question de la fixation du circuit imprimé par l’intermédiaire de trous dans la carte. Nous souhaitons utiliser des pastilles de diamètre 0.18in environ avec un trou de 3mm. La première étape consiste à sélectionner l’icône des pastilles traversantes circulaires puis à valider le style de pastille convenable dans le sélecteur d’objets.

Selectionnez le style de pastilles traversantes souhaités

La nomenclature des pastilles utilisées dans ARES est simple à lire et répond au format suivant:

<PAD TYPE> - <DIAMETER/SIZE> - <HOLE>

L’unité est impériale à moins que le préfixe ‘M’ soit présent. Ainsi C-40-15 est une pastille circulaire de diamètre 40th avec un trou de 15th ,alors que C-200-M3 est une pastille circulaire de diamètre 0.2in avec un trou de 3mm. La pastille dont nous avons besoin (diamètre:0.18in, trou:3mm) n’existe pas, il faut donc la créer:

1) Lancez la commande ‘Nouveau style de pastille’ du menu ‘Bibliothèques’.

2) Nommez la pastille en respectant la convention indiquée, soit C-180-M3.

3) Spécifiez le type de pastille– Circulaire à trou traversant.

4) Le diamètre est de 180th ou 0.18in. La marque de perçage correspond à la taille du point utilisé lors d’une impression ; 30th conviendra. Le trou de perçage est de 3mm et la distance d’isolement de 20th. L’isolement est l’accroissement apporté au diamètre de la pastille par rapport au vernis épargne.

5) En bas de la boite de dialogue, vous pouvez choisir si les données entrées pour un style de pastille défini seront permanentes (Case "Update Défaults") ou locales (Case "Local Edit"). Nous vous conseillons de toujours privilégier les pastilles par défaut.

6) Après avoir refermé la boite de dialogue le nouveau style apparaît sans le sélecteur d’objets.

Lorsque vous paramétrez votre pastille il est préférable d’entrer les valeurs manuellement plutôt que d’utiliser les flèches haut/bas placées à droite des champs.

Nous allons placer deux trous de fixation à gauche de la carte (haut et bas) ainsi qu’un troisième à une position particulière (pour insérer un support verrou de circuit imprimé). Il est possible de faire de la place à proximité de l’emplacement des trous. Validez le mode de sélection, étirez un rectangle autour des objets concernés qui seront déplacés à la nouvelle position – vois ci-dessous pour la circuiterie d’horloge.

Déplacer un morceau du circuit préalablement sélectionné

Souvenez-vous que vous pouvez redimensionner votre carré de sélection pour ajouter ou enlever des items grâce aux points d’ancrage repérés sur le pourtour.

Après avoir créé un espace suffisant, validez l’icône pastille circulaire, choisissez le style de pastille C-180-M3 et placez deux exemplaires en haut et en bas sur la gauche du circuit.

Placement des pastilles traversantes

Nous voulons positionner un troisième trou au-dessus des piles à une position connue. Plus précisément nous voulons placer notre trou à 35mm du bas et à 87.5mm de la gauche. Comme notre origine globale est placée en bas et à gauche du circuit, il suffit de déplacer la souris pour atteindre la position souhaitée (commuter en unité métrique si nécessaire - raccourci ‘M’).

De la même façon, si vous connaissez le point d'origine et les coordonnées sur lesquelles la pastille sera placée, vous pouvez cliquer droit sur la pastille traversante et sélectionner la commande "Déplacer vers" afin de programmer la position du composant. Votre pastille sera automatiquement placée au bon endroit une fois que vous cliquez sur OK.

La position de certains composants sensibles doit pouvoir être figée une fois pour toutes. Il est possible de verrouiller la position de tout objet en éditant ses propriétés (clic droit sur l’objet et choix de l’option ‘Editer propriétés’ du menu contextuel). Cochez la case ‘Figer position’ des objets à ne pas déplacer ou supprimer.

Figer la position des pastilles ou des composants

Notre circuit est à présent terminé. Vous pouvez charger le projet global sur la page d'accueil de Proteus, en cliquant sur le bouton 'Ouvrir exemple'. Le projet dont nous allons nous servir maintenant se nomme dsPIC33 Recorder. Il se situe dans la rubrique 'Tutorials'.

Ouvrir un exemple de projet

Règles de conception et classes de liens

Une fois le circuit placé nous devons configurer le logiciel pour qu’il tienne compte des contraintes électriques spécifiques au circuit. Pour ce faire ARES incorpore un gestionnaire des règles de conception accessible depuis le menu 'Technologie’.

Règles de conception

Le premier onglet de la boite de dialogue permet de configurer les contraintes sur les distances d’isolement du circuit. La règle chargée par défaut (DEFAULT) s’applique à toutes les couches et toutes les classes de liens, avec des distances d’isolement classiques entre objets.

La boite de dialogues des règles de conception

Cette règle et ces distances d’isolement sont créées automatiquement pour chaque nouveau circuit. Vous pouvez modifier les valeurs par défaut via la commande ‘Définir règles par défaut’ du menu ‘Technologie’.

Il faut commencer par décider si la règle existante est valable pour toutes les couches et toutes les pistes de la carte. Il est possible de créer autant de règles que nécessaire, mais nous nous contenterons ici des règles de conception existantes.

Comme notre carte sera utilisable à l’extérieur, nous devons augmenter les isolements entre les pastilles et les pistes pour améliorer la protection vis-à-vis de la condensation. Une augmentation de 20% devrait suffire, donc nous devons modifier les valeurs d’isolement Pastille-Pastille, Pastille-Piste, Piste-Piste de 10th à 12th.

Isolements par défaut dans la boite de dialogue des règles de conception

Les isolements des graphiques et des frontières par défaut sont acceptables pour notre projet. Nous n'avons donc pas à créer de règles de conception additionnelles.

Voir également:

Les règles de conception

Exemples de règles de conception

Classes de lien

C'est ici que nous configurons les styles des pistes et des traversées ainsi que les couches routées en mode automatique. La liste déroulante placée en haut de la fenêtre permet de commuter entre les classes des liens disponibles afin de les configurer une à une.

Débutons avec la classe des liens POWER qui devrait être sélectionnée par défaut. Comme indiqué dans le manuel ISIS, tout lien qui inclut un terminal GROUND ou POWER est automatiquement associé à la classe POWER, sauf modification manuelle.

Nous allons valider une taille de piste de 25th, non pas pour autoriser plus de courant à circuler sur cette piste mais pour réduire l’impédance de piste (nous placerons également un plan de masse basse impédance plus loin). Dans la nomenclature ARES le style correspondant est T25.

Le style de rétrécissement – s’il est configuré – indique le style de piste utilisé dans les portions de rétrécissement. Nous n’avons pas besoin de nous en préoccuper pour l’instant.

Comme nous n’avons pas réellement de contraintes, le choix des traversées est un compromis entre une augmentation des coûts de fabrication pour des traversées fines et une diminution de la qualité du routage pour des grosses traversées. Le circuit courant sera réalisée avec une plaque 1.6mm FR-4 avec 35um de cuivre, donc des traversées avec des trous de 0.4mm conviendront. Les pistes d’alimentation utiliseront des traversées de 40th, soit le style V40.

Si vous souhaitez contrôler les caractéristiques d’un style particulier, procédez de la façon suivante: validez l’icône convenable (traversée, piste, pastille, etc.), puis choisissez le style en rapport dans le sélecteur d’objets, et cliquez sur le bouton ‘E’ en haut du sélecteur d’objets.

Les options placées dans la partie inférieure de la boite de dialogue permettent de modifier le type de traversée (non significatif pour un circuit double face) et la couleur ou la visibilité des lignes de chevelu. Ceci peut être utile lors d’un routage manuel pour différencier les liens POWER des liens SIGNAL.

Les affectations de paires de couches de la partie droite indiquent au routeur les associations à réaliser lors d’un routage multi-couches. Dans notre cas d’un circuit double face il n’y a rien à configurer ici.

A l’issue de la configuration de la classe POWER la boite de dialogue devrait correspondre à ceci :

Sélectionner la classe POWER dans l'onglet classe de liens

Choisissons à présent la classe suivante appelée ANSW. Dans ISIS nous avions donné un nom spécifique à cette classe afin que l’alimentation du circuit analogique (sortie du convertisseur DC/DC) soit gérée à part dans ARES. Nous souhaitons pour ces connections une largeur de piste supérieure aux pistes standard SIGNAL mais inférieure à la classe POWER, donc nous choisissons le style T15 (piste de 15th). Le style de rétrécissement sera également T15 et nous utiliserons une traversée plus petite (avec un trou identique de 0.4mm), soit le style V30.

Configurer la calsse ANSW

Si vous n’avez pas de style de traversée V30, vous pouvez le créer simplement par la commande ‘Nouveau style de traversée’ du menu ‘Bibliothèques’ en remplissant les champs correctement.

Il est extrêmement simple de créer une classe de liens dans ISIS, ce qui rend flexible le contrôle des pistes, des traversées ainsi que les contraintes d’isolement.

La dernière classe de liens est la classe SIGNAL, utilisée pour tous les liens qui ne sont pas des alimentations ou pour les connexions non nommées (unspecified). Afin de permettre une utilisation du circuit en extérieur, nous avons adopté les valeurs suivantes – piste T8, rétrécissement T8, traversée V30.

Une fois la configuration terminée, quittez la boite de dialogue et retourner sur le circuit.

Voir également:

Classes de liens

Zones Keepout ou zone d'exclusion

Nous pouvons également ajouter des contraintes sur les pistes en limitant les zones où elles peuvent être placées par le routeur automatique. Un bon exemple est l’oscillateur sous lequel nous ne souhaitons pas qu’il y ait de pistes. Pour définir une zone d’exclusion (keepout), validez l’icône rectangle graphique 2D et choisissez la couche keepout dans le sélecteur.

Couche keepout du sélecteur

Ensuite, placez un rectangle en superposition de la sérigraphique de l’oscillateur X1 (clic gauche pour débuter le placement, étirez le rectangle et cliquez gauche à nouveau pour terminer le placement).

L'exclusion induit 2 erreurs DRC

A moins d’être très doué vous devriez voir apparaître un message qui indique que des erreurs sont apparues.

Message d'erreur DRC

Si vous cochez la case "ne plus afficher ce message", la boite de dialogue n’apparaîtra plus ultérieurement.

Lorsque vous cliquez gauche dans le texte rouge qui indique les 2 erreurs sur la barre de statut, une boite de dialogue apparaîtra avec des informations détaillées. Vous constaterez que les erreurs sont du type PAD-EDGE car les pastilles de l’oscillateur sont plus proches du graphique keepout que la distance de 15th indiquée dans les règles de conception.

Affichage des erreurs DRC

Dans cette situation nous avons deux possibilités:

1) Ignorer les erreurs DRC. Le graphique keepout n’aura aucun impact sur la connectivité.

2) Déplacez le graphique à une distance légale des pastilles. La meilleure façon de le faire est de commencer par réduire le pas de grille avant de déplacer le graphique, puis de restaurer le pas de grille à l’issue du déplacement.

Après déplacement le graphique keepout devrait être comparable à celui indiqué ci-dessous.

Correctly placed Keepout

Nous sommes confrontés à un problème similaire autour du capteur de température/humidité (U3). Nous souhaitons réaliser une ouverture dans la carte et ainsi limiter les erreurs de mesure du capteur (car nous souhaitons mesurer la température ambiante, pas la température du circuit imprimé). Il faut donc qu’aucune piste ne soit placée dans la zone à découper.

1) Validez l’icône rectangle 2D graphique et choisissez la couche KEEPOUT.

2) Placez un rectangle autour de U3 comme indiqué ci-dessous.

U3 with a Keepout

Cette fois-ci il nous faudra accepter les erreurs DRC. Ce n’est pas un problème car la zone keepout n’est pas générée en fabrication et nous pourrons l’ôter une fois le circuit routé. Nous pouvons outrepasser les erreurs manuellement en lançant la boite de dialogue DRC, puis en cliquant droite sur l'erreur pour valider l'option 'Ignorer cette erreur' du menu contextuel.

Ignorer les erreurs DRC

Routage du circuit

Après avoir configuré les paramètres de la carte, nous pouvons à présent placer les pistes pour router le circuit.

Placer une piste manellement

Avant de démarrer, nous allons valider à nouveau les lignes du chevelu. Si vous les aviez désactivé (c'est-à-dire que vous ne voyez plus les lignes vertes entre les pastilles), réactivez-les à partir du menu "Affichage".

Commençons par placer des pistes sur le circuit. Typiquement le routage manuel intervient pour les connexions qui nécessitent un chemin précis et contrôlé. Dans notre circuit nous souhaitons contrôler les connexions qui partent du connecteur J2.

Validez l’icône mode piste et choisissez la couche 'Top Copper' (cuivre côté composant)

La pastille 4 du connecteur J2 montre un lien de chevelu relié directement à la pastille GND de U5. Cette connexion doit être réalisée différemment afin de ne pas avoir à naviguer autour du trou de fixation et de nous connecter à une pastille CMS. Nous allons donc nous relier à une masse plus pratique d’accès.

ARES fournit un algorythme de routage 'Suivez-moi' très sophistiqué dans lequel le routage suit le chemin emprunté par la souris du mieux qu'il peut au lieu de toujours obéir au règles de conception définies précédemment. Cliquez gauche sur la pastille 4 pour débuter le tracé de piste, puis déplacez-vous vers le bas.

Routage J2 broche 4

Vous constaterez que la plus proche destination autorisée est à présent mise en surbrillance en blanc. Ceci sera actualisé au fur et à mesure que nous progresserons dans le routage jusqu’au point de destination. Lorsque la piste s’approche du bas de la carte cliquez gauche une fois et orientez-vous vers la gauche. Cependant, si nous voulons définir une rupture d'angle, il est préférable de cliquez gauche au point de changement de direction, puis de partir vers la gauche.

Après vous être déplacé sur la gauche, le chevelu change pour indiquer une connexion autorisée sur la broche 1 de JP2.

Se connecter à la broche 1 de JP2

Lorsque nous sommes sous JP2 cliquez gauche pour revenir vers le haut en direction de la broche de destination.

Connection de la piste à la broche

Pour terminer cliquez gauche sur la broche pour valider le placement de la piste. Ceci terminera le routage et supprimera la ligne de chevelu de cette connexion.

Piste terminée qui part de J2 broche 4 vers JP2 broche 1

Notez qu’il n’est pas nécessaire de choisir une largeur de piste, car nous avons configuré cela dans le chapitre précédent. ARES reconnaît que nous avons routé une piste sur le lien GND et applique les règles de la classe de liens POWER – soit des pistes de 25th.

Le routage manuel est probablement l'action la plus simple que vous pouvez effectuer avec le module ARES. Les règles de base qui régissent le routage manuel sont:

  • Cliquez gauche sur la pastille, la piste ou la zone concernée pour commencer le routage à partir de cet obet.
  • Cliquez gauche sur n'importe quel point de la carte durant le routage pour changer de direction à partir de ce point (création d'un point d'ancrage).
  • Cliquez droit pour terminer le routage depuis le dernier point d'ancrage.
  • Utilisez la touche ECHAP pour abandonner totalement la piste entrée.
  • Utilisez la barre ESPACE pour faire apparaître une traversée flottante à l'extrémité de la piste puis cliquez gauche à l'endroit ou vous souhaitez placer cette traversée.
  • Déplacez la souris en arrière sur la piste existante pour effacer le routage effectué sur cette piste.

Nous vous recommandons fortement de vous habituer au routage manuel en le testant sur notre exemple de projet jusqu'à ce que vous vous sentiez à l'aise sur son mode de fonctionnement. Vous trouverez ci-dessous un résumé des différentes fonctionnalités du routage ARES:

Panoramique et Zoom

Quand vous placez une piste, vous pouvez utiliser la molette de la souris ou les touches F6 et F7 de votre clavier pour effectuer un zoom avant ou arrière au cours du routage. De façon similaire, déplacer un objet contre le bord de la fenêtre d'édition entraînera un panoramique dans la direction du déplacement.

Placer des ancres

L'algorithme 'Suivez-moi' permet de placer la piste en fonction du déplacement de la souris. Si vous voulez qu'une piste suive un chemin particulier, alors vous devrez cliquez gauche à chaque fois que vous voulez changer de direction. Cette action placera une ancre puis poursuivra le routage à la position du curseur de la souris.

Contourner un blocage / Re-router pendant le routage

Lorsque le système de routage manuel obéit aux règles de conception de la carte, le respect des isolements est vérifié pendant le routage. Vous pouvez cependant router vers un endroit où vous êtes bloqué (l'icône de routage le signalera par un symbole 'no-go'). Il est possible de placer une traversée et de continuer le routage mais il est néanmoins préférable de revenir en arrière et d'essayer un autre chemin.

Déplacer la souris en arrière sur le parcours déjà routé effacera cette partie de piste; donc pour revenir sur un routage et changer de direction, il vous suffit de déplacer la souris au dernier point qui vous convient. Tout ce qui aura été placé à partir de ce point sera donc supprimé.

Dans le cas de cartes très denses, le fait de déplacer rapidement la souris peut poser problème. Souvenez-vous que c'est vous qui guidez le routage manuel, donc un déplacement lent au niveau des espaces étroits permettra un meilleur résultat.

Placement des traversées

Si vous faites un double clic au moment du routage, vous placerez une traversée au point où se trouve le curseur de la souris et pourrez continuer le routage sur la couche associée (couche appairée). Si vous appuyez sur la barre espace de votre clavier, vous pouvez rendre la traversée flottante et la positionner alors manuellement - une fois la traversée placée au bon endroit, cliquez gauche pour terminer l'action. L'utilisation de la barre ESPACE à l'avantage de se verrouiller sur les objets autorisés (par exemple sous un CMS).

Quelque soit le cas, le placement d'une traversée respecte les règles de conception et ARES ne vous laissera pas déposer une traversée à un endroit non autorisé. Si vous utilisez la méthode des traversées flottantes (avec la barre espace du clavier), ARES va essayer de déplacer la traversée jusqu'au point autorisé le plus proche. cela peut être très utile pour les cartes complexes ou quand vous voulez qu'une traversée se rapproche le plus possible d'un autre objet.

Les couches utilisées pour les traversées sont définies dans la boite de dialogue des Paires de couches du menu 'Technologie'. Vous trouverez un peu plus loin dans ce tutorial dans exemples de routage avec traversées ainsi que des informations sur les paires de coucbes.

Coller étroitement des objets

Quand les règles de conception sont actives au cours du placement, il est plus facile de coller une piste à une autre piste ou de la faire circuler à proximité d'un objet. Si la souris se trouve au-dessus d'un objet placé à un point où le routage en cours ne peut pas passer, alors le routage suivra le chemin emprunté par la souris autant qu'il peut, essentiellement en collant aussi étroitement que possible l'objet lui barrant le chemin.

Stopper le routage

- Si vous voulez arrêter le routage au dernier segment routé (ligne pleine), cliquez droit sur la souris.

- Si vous voulez stopper le routage à la position pointée par le curseur de la souris, alors cliquez gauche pour arrêter le routage sur le point où se trouve le curseur de la souris puis cliquez droit pour terminer la piste.

- Pour stopper complétement le routage, cliquez sur la touche Echap de votre clavier.

Making Connections

If you are connecting directly to a pad then a left click of the mouse will complete the connection and terminate route placement.

If you are connecting to a track then left click will commit the placement and right click will terminate the route forming the connection. The same procedure applies if you are connecting to a zone except that you must connect to the zone border.

Créer des Connexions

Si vous êtes directement connecté à une pastille, alors cliquez gauche dessus pour valider la connexion et terminer le placement de la piste.

Si vous vous connectez directement à une piste, alors cliquez gauche dessus pour commencer le placement et cliquez droit pour valider la piste qui réalise la connexion. La même procédure s'appliquera si vous vous connectez à une zone, sauf qu'il faut se relier à la bordure de la zone.

Voir également :

Placement & édition de piste

Supprimer une piste

Il est également possible de supprimer tout ou partie d’une piste. Supposons que le dernier segment de piste que nous venons de tracer ne nous convient pas (en direction de la broche 1 de JP2).

Commencez par cliquez droit sur le segment de piste. Ceci mettra en surbrillance la totalité de la piste. Cependant nous pouvons choisir l’option ‘Limiter la sélection à un seul segment’ du menu contextuel. Cette action limitera la sélection au segment sur lequel nous avons cliqué.

Limiter la sélection à un seul segment

Puis cliquez droit sur le segment mis en surbrillance et choisissez l’option ‘Supprimer piste’, ceci supprimera uniquement le segment sélectionné.

Supprimer un segment de piste

Pour finir, zoomez et modifiez le pas de grille si nécessaire, puis reliez à nouveau la piste à la pastille de terminaison.

Si les choses ne se déroulent pas comme prévues, vous pouvez simplement supprimer le routage complet et recommencer. Vous devriez alors avoir un routage qui ressemble à peu près à celui présenté ci-dessous:

Editier une piste de routage

Il arrive souvent de vouloir pousser ou déplacer les pistes après placement sans avoir à les supprimer. Voyons comment déplacer la piste que nous venons de créer pour l’éloigner du bord de carte – dessin ci-dessus.

Cliquez droit sur le segment horizontal de la piste (c’est la portion à déplacer). Ensuite choisissez l’option ‘Glisser piste’ du menu contextuel, déplacez la souris dans la direction souhaitée et cliquez gauche à nouveau pour valider la nouvelle position.

Il est possible de définir son propre segment avec l’option ‘Limiter la sélection manuellement’ du menu contextuel, ce qui autorise un contrôle complet de la topologie des pistes.

Paires de couches et routage manuel

La piste que nous venons de placer reste exclusivement sur la couche composant (Top copper) alors que nous devrons habituellement transiter entre les couches composant et soudure du circuit. ARES gère cela grâce au concept de paires de couches qui précise qu’une couche destination est toujours associée à une autre couche. Pour un circuit double face les couches composant (Top copper) et soudure (Bottom copper) sont associées.

Pour les circuits multi-couches vous pouvez configurer les associations par la commande ‘Définir paires de couches’ du menu 'Technologie'.

Dans notre cas les affectations par défaut nous conviennent et ne seront donc pas modifiées. Plaçons quelques pistes manuellement pour comprendre le fonctionnement. Intéressons-nous aux broches 1 et 2 du connecteur J2 qui sont les lignes de transmission de l’USART du processeur dsPIC.

Débutons avec la broche 1 pour un routage sur la couche soudure (Bottom copper). Assurez-vous que le mode piste est validé et appuyez sur la barre espace du clavier : vous noterez que le sélecteur de couche commute automatiquement entre les deux couches associées.

Sélectionnez la couche soudure (bottom copper)

Le processeur est loin du connecteur et le chemin le plus pratique semble être vers le bas le long du bord de carte. Cliquez gauche sur la broche 1 du connecteur puis déplacez-vous vers le bas. Utilisez le zoom pour visualiser votre parcours au fur et à mesure de l’avancement du routage.

Routage sur la couche soudure

A proximité du bas de la carte, cliquez gauche une fois pour placer une ancre et déplacez-vous sur la gauche jusqu’à atteindre le bloc de pastilles paires du processeur.

Les pistes sont proches du bord de carte

Lorsque vous êtes à proximité du composant U1 IC, amenez la piste jusqu'à la pastille située à droite de l'empreinte processeur, comme montré ci-dessous.

Nous avons besoin de placer une traversée avant de connecter la pastille CMS à la couche composant (top copper). Comme décrit précédemment, vous pouvez double cliquer sur l'endroit où vous souhaitez placer la traversée ou presser la barre espace pour faire glisser la traversée jusqu'au point de destination puis cliquez gauche pour valider. La seconde méthode a l'avantage de vous permettre de placer la traversée le plus près possible de la pastille, minimisant ainsi la longueur de la piste sur la couche composant.

Placement d'une traversée en pressant la barre espace

Beaucoup de points ont été présentés lors de la création de ces liaisons. Il nous faut poursuivre afin d’améliorer votre compréhension des outils et vous familiariser avec les techniques déjà introduites. Nous allons continuer en créant d'autres connexions à partir du connecteur J2.

La broche 2 du connecteur suit le même parcours que celui en provenance de la broche 1 et nous allons débuter le routage sur la couche soudure (bottom copper) – si nécessaire appuyez sur la touche espace du clavier pour commuter de couche. Nous pouvons facilement rapprocher la piste que vous venons juste de placer en déplaçant la souris au-dessus et parallèlement au chemin précédent:

Afin de réaliser la connexion, nous pouvons router sous les pastilles et placer un segment à 45 degrés avant de double-cliquer pour placer une traversée et terminer la liaison.

Routage avec un angle de 45 degrés

Bien sur il existe plusieurs façons de router un circuit et les préférences personnelles impactent sur la réalisation. Routez seul d’autres liens relatifs au connecteur tout en utilisant le chevelu pour trouver un chemin adapté, puis terminer le routage. L’écran ci-dessous montre ce que vous pourriez obtenir.

Routage des pistes terminé

Les bases du routage automatique

A partir de ce stade nous allons utiliser le routeur automatique pour terminer le placement des pistes. Comme pour le routage manuel, l’autorouteur obéit aux lois qui ont été configurées dans le gestionnaire des règles de conception.

Lancez la commande ‘Routeur automatique’ du menu ‘Outils’ d’ARES, ou utilisez l’icône de la barre d’icône placé sous les menus.

Sélectionnez l'option 'Autorouteur' dans le menu OUTILS

La boite de dialogue qui s’ouvre contient de nombreux champs qui possèdent tous une aide contextuelle. Dans notre cas (et pour la plupart des circuits de complexité faible/moyenne), les valeurs par défaut conviendront. Nous allons lancer un routage en fonctionnement automatique, qui est le mode par défaut. Cliquez sur le bouton ‘Lancer routage'.

Boite de dialogue du routeur automatique

Les connexions seront routées rapidement et vous pouvez observer la progression du routage dans la barre de status. Une fois le routage terminé vous devriez constater deux points :

  • Le routeur automatique a préservé les pistes qui ont été placées manuellement. Elles n’ont pas été reconsidérées pour être déplacées.

  • Lorsque le routeur automatique a terminé, il effectue une passe finale pour éviter les angles à 90°. Si vous souhaitez éviter cette passe finale il suffit d’ôter l’option correspondante - ‘Passe recorner’ à No - voir ci-dessous) avant de lancer le routage.

Option 'Reconsidérer les angles ou non?'

Voir également:

Routeur automatique : Operation basique

Le filtre de sélection

A présent que le circuit est terminé, passons un peu de temps pour comprendre les techniques de sélection des objets sur les différentes couches.

ARES utilise un filtre de sélection placé dans la partie inférieure gauche de l’application. Il permet de déterminer quels sont les objets disponibles pour la sélection.

Le bouton le plus à gauche indique si le filtre de sélection est actif ou non :

Lorsqu’il est inactif la sélection s’applique à toutes les couches du circuit.

Lorsqu’il est actif la sélection s’applique uniquement à la couche validée dans la liste déroulante des couches.

Les autres boutons représentent différents types d’objets (pistes, composants, graphiques, etc.) et valide ceux qui pourront être sélectionnés. Le fait de placer la souris sur un icône fait apparaître une infobulle qui précise la nature de l’icône.

Si vous commutez entre différents modes de travail (par exemple, par le passage du mode de sélection au mode piste ou au mode composant) vous constaterez que les types d'objets sur lesquels il est possible d'agir dépendent du mode. Les états de chaque objets sont configurables, sachant que la configuration par défaut convient dans la plupart des cas. Si vous souhaitez modifier l'état des objets, vous pouvez appeler la commande 'Définir filtre de sélection' du menu 'Système'.

Boite de dialogue du filtre de sélection

Prenons un exemple pratique et supprimons toutes les pistes de la couche composant (TOP) de la carte, sauf celles que nous avons placées manuellement. Commencez par valider le mode filtre de sélection et étirez un rectangle de sélection autour du circuit.

Sélectionner l'intégralité du circuit

Ensuite, désélectionnez tous les objets que nous ne souhaitons pas supprimer, c'est-à-dire tous sauf les pistes et les traversées. Les objets sélectionnés seront mis à jour pour confirmer visuellement la sélection.

Décochez ce que vous ne souhaitez pas sélectionner

A présent il faut choisir la couche ‘Top Copper’ dans le sélecteur de couches et valider le bouton des couches afin que le filtre de sélection s’applique uniquement à la couche courante.

Sélectionnez la couche Top Copper et décocher l'icône des couches

Utilisez les carrés du rectangle de sélection pour éviter que le connecteur J2 soit inclus dans la sélection.

Le circuit tel qu'il apparaît après déplacement du rectangle de sélection

Enfin utilisez l’icône le plus à droite du filtre de sélection pour invalider la sélection des items qui ne sont pas totalement inclus dans le rectangle de sélection; dans notre cas nous désélectionnerons les pistes placées manuellement depuis J2, broche 4.

Invalider le mode de sélection total

Nous pouvons à présent appuyez sur le bouton ‘Supprimer’ du clavier ou cliquer droit dans le rectangle et choisir l’option ‘Supprimer bloc’ du menu contextuel. Nous obtiendrons l’effet attendu à savoir la suppression des pistes routées en automatique sur la couche ‘Top copper’.

Gardez à l’esprit que le filtre de sélection contrôle à tout instant les objets sélectionnés. Si vous constatez que vous n’arrivez pas à sélectionner un objet, jetez un coup d’œil au filtre de sélection pour vérifier que le type d’objet en question est validé. Vous pouvez également commuter en mode sélection (première icône ‘Pointeur souris’ en haut et à gauche de l’interface) afin que tous les items soient sélectionnables.

Routage automatique avancé

La suppression des pistes et des traversées que nous venons d’effectuer a apporté un peu de fouillis dans notre circuit. Heureusement nous pouvons régler le problème en appelant à nouveau le routeur automatique et en replaçant toutes nos pistes. L’autorouteur inclut une passe de nettoyage qui supprimera toutes les pistes redondantes.

Si vous possédez une version standard de Proteus (PCB Starter Kit, Niveau 1 ou Niveau 1+) lancez le routeur automatique comme indiqué dans la section précédente afin de terminer le routage.

Pour ceux qui possèdent la version avec fonctionnalités avancées (Niveau 2, 2+ ou 3) nous allons présenter quelques fonctionnalités additionnelles qui peuvent être regroupées en deux catégories:

  • La possibilité de ne router qu’une zone ou un ensemble de connexions.

  • La possibilité de contrôler le script de routage; c’est à dire de déterminer quelles commandes de routage seront lancées et dans quel ordre.

Lancez la commande ‘Routeur automatique’ du menu ‘Outils’ et commutez en mode ‘Entrer les commandes interactivement’ puis cliquez sur le bouton ‘Lancez routage’.

Validation de l'autorouteur interactif

Une fenêtre de commandes s’ouvrira dans la partie inférieure de l’application afin d’entrer les commandes de routage. ARES inclut un grand nombre de commandes pour contrôler le routage, y compris la possibilité d’indiquer un rayon de courbure pistes, la longueur de la zone de sortance et de direction pour les pastilles CMS. Le manuel de référence contient la liste de toutes les commandes mais dans ce tutorial nous nous concentrerons sur quelques exemples basiques.

Encore quelques points à noter:

  • Toutes les commandes entrées agissent sur les connexions sélectionnées ou sur la totalité du circuit si rien n’est en surbrillance.

  • Le fait de charger un nouveau circuit ou de commuter de mode d’action fermera automatiquement la fenêtre de routage interactif.

Ce qui vient d’être écrit signifie que nous pouvons contrôler les connexions à router par l’intermédiaire des éléments en surbillance.

Commençons par nettoyer les pistes non terminées qui résultent que la suppression des pistes sur la couche composant (Top copper). La syntaxe de la plupart des commandes est :

<command> <number of passes>

Nous pouvons donc taper clean 2 pour nettoyer les pistes superflues.

Puis supposons que nous voulons router toutes les connexions VCC. Choisissez le lien VCC/VDD=POWER dans le sélecteur d’objets et cliquez sur le petit bouton ‘T’ placé en haut du sélecteur d’objets afin de mettre en surbrillance toutes les connexions relatives à ce lien. Pour terminer entrez la ligne ‘route 5’ pour router ces connections.

Il est possible de désélectionner tous les items actuellement sélectionnés par un simple clic gauche dans la fenêtre d’édition. Lorsque le focus est dans la fenêtre d’édition utilisez la molette souris (ou les raccourcis clavier) pour zoomer avant/arrière.

Le même principe s’applique pour limiter le routage à une zone du circuit. Par exemple, étirez un rectangle de sélection autour de la partie gauche du circuit et entrez ‘route 10’ pour router les connexions dans cette zone.

Router des portions du circuit

Vous noterez qu’il subsiste quelques lignes de chevelu qui n’ont pas été routées. Nous pourrions tenter une suite d’opérations avec les commandes clean, filter et route, mais pour notre explication il est plus simple de revenir à la carte globale pour terminer le routage. Cliquez gauche dans une portion vierge de la fenêtre d’édition pour supprimer toute sélection. Entrez route 25, suivi de clean 2 afin de router totalement le circuit.

Réduisons la longueur des pistes par la commande 'recorner diagonal'

Pour quitter le mode de routage automatique à tout instant vous pouvez utiliser la touche ECHAPPEMENT du clavier.

Netlists et modifications du projet

Nous avons à présent placé et routé notre circuit basé sur le schéma dessiné dans le tutorial ISIS. Dans la pratique cependant, il est peu probable de n'effectuer aucune modification du projet durant le processus de création d'une carte (PCB); c'est pourquoi, nous allons consacrer un peu de temps à l'étude de ce cas de figure.

Nous allons éditer à la fois les modules du schéma et du circuit, donc ISIS et ARES doivent tous les deux être ouverts dans Proteus. Si l'onglet ISIS est fermé, vous pouvez l'ouvrir à partir de la barre d'applications, comme montré ci-dessous :

Icône ISIS sur la barre d'applications

Quand vous travaillez sur deux modules en même temps, vous pouvez les séparer en deux fenêtres distinctes si vous avez deux écrans. Pour se faire, glissez simplement l'un des onglets sur le deuxième écran.

Barre multi-onglets pour visionner tous les modules en même temps

Netlist temps réel

Pour commencez, supprimons le connecteur J2 sur le schéma. Allez sur l'onglet ISIS, cliquez droit et sélection l'option 'Supprimer un composant' dans le menu déroulant.

Supprimer un composant dans ISIS

Maintenant, allez sur l'onglet PCB (ARES). Vous constaterez que le composant J2 a été grisé/estompé pour montrer qu'il n'est plus présent sur le circuit et le status de connectivité montre que nous avons effectué des modifications.

Quand un objet placé dans ISIS est supprimé sur le circuit dans ARES, un message de confirmation apparaît. Pour confirmer une modification, vous pouvez utiliser le raccourcis CTRL+Z, cliquez sur l'icône 'Rétablir modifications' ou cliquez sur l'option 'Changement en attente' dans le status de connectivité pour accepter cette modification. Une fois que vous aurez accepté le changement, le composant grisé disparaîtra.

En cliquant sur l'option 'Changement en attente', le composant J2 est supprimé et la netlist modifiée en conséquence.

Notez que les pistes qui étaient connectés au composant J2 seront également supprimées. Si vous voulez seulement supprimer l'empreinte (en laissant les pistes connectées en place), alors vous pouvez le faire en supprimant directement le package dans ARES.

Cette opération est également valable pour annuler un changement. Pour cela, cliquez sur l'icône UNDO 'annuler modification' ou le raccourcis CTRL+Z; dans un premier temps, le composant supprimé réapparaîtra en grisé. En répétant à nouveau l'opération, le composant sera de nouveau sur le schéma.

Icônes Annuler/Rétablir les modifications

Quand vous cliquez sur une de ces icônes dans ARES, il vous sera demandé si vous voulez appliquer cette action au schéma (ISIS). Dans notre cas, nous voulons la modification soit effective partout et que le composant J2 apparaisse à nouveau, donc nous cliquons sur OK pour confirmer la modification sur le schéma.

Nous vous avons donné ici un exemple d'une modification qui affecte les objets placés sur le circuit. La chose importante à se rappeler est que, lorsque la netlist est en temps réel, vous devez confirmer manuellement chaque modification qui peut affecter la connectivité des objets déjà placés sur le circuit.

Netlist temps différé

Si vous le préférez, la netlist temps réel peut être commutée dans un mode plus classique, en netlist temps différé. Pour cela, allez dans le menu OUTILS de l'onglet ARES et décochez l'option 'Netlist temps réel'.

Une fois la netlist temps réel invalidée, répétez la même procédure que dans le paragraphe précédent. Allez sur ISIS et supprimez le connecteur J2, puis allez sur ARES. Là, vous pouvez voir que sur le circuit, le connecteur J2 est toujours présent et le status de connectivité rapporte que le circuit est bloqué et 'out of sync'.

Message de la barre de status 'out of sync'

ce message signifie que nous n'avons pas validé la modification apportée au schéma/circuit dans la netlist; par conséquent, nous ne pouvons pas travailler sur le circuit tant que la modification n'est pas transmise à la netlist. Proteus travaille avec une seule base de données de composants qui inclut les composants du schéma (ISIS) et les empreintes du PCB (ARES). Par conséquent, en utilisant la netlist temps différé, quand vous travaillez sur le schéma dans ISIS, vous ne pouvez pas travailler sur le PCB (ARES) tant que vous ne l'avez pas synchronisé avec le schéma. Cliquez sur le status de connectivité pour débloquer le PCB et transmettre la modification à la netlist.

Nous obtenons ainsi le même résultat qu'avec la netlist temps réel. Nous pouvons désormais voir le composant J2 grisé dans ARES et le status de connectivité qui affiche 'Changement en attente'.

La netlist temps réel est le mode par défaut dans Proteus, bien que pour les projets de grande ampleur, il est préférable d'utiliser la netlist temps différé.

Voir également :

Caractéristiques de la netlist

Annotation

Les modifications d'annotation du schéma au circuit ou du circuit au schéma sont également des opérations d'éditions communes aux deux modules.

Du schéma vers le circuit (PCB)

Les modifications d'nnotation faites sur le schéma se répercutent automatiquement sur le circuit (PCB) quand la netlist est en temps réel. Elles requièrent un débloquage quand l'option de la netlist temps réel est décochée.

Du circuit (PCB) vers le schéma

Vous pouvez également réannoter la carte de façon manuelle (en éditant les labels de référence des composants) ou globale avec la commande d'annotation automatique, disponible dans le menu OUTILS du module ARES.

Lancer l'annotateur automatique

Quand la netlist temps réel est activée, cela se reflète immédiatement sur le schéma. Quand la netlist temps réel est désactivée, le schéma sera mis à jour et le circuit sera bloqué, la netlist ayant été modifiée; il faudra le débloquer manuellement, comme expliqué plus haut dans ce chapitre.

Règles de base de la Netlist temps réel

Il existe plusieurs règles à connaître au sujet de la netlist dans Proteus.

Quand la netlist temps réel est active, la ou les connexions impactées par une modification sur le schéma ou le circuit se feront automatiquement (par exemple, l'ajout d'une piste sur le schéma entraînera automatiquement l'ajout d'un chevelu sur le circuit). Si vous effectuez un changement qui supprime une connexion, sur le circuit, ce changement sera visible par l'assombrissement des objets supprimés et vous devrez confirmer manuellement cette opération.

Quand la netlist temps réel est désactivée, toute modification vous obligera à débloquer et appliquer la netlist avant de pouvoir continuer à travailler sur le circuit.

Sur ARES, cliquez sur 'changement en attente' pour supprimer définitivement les empreintes qui ont été supprimées sur le schéma. Cette action supprimera également les pistes associées. Si vous voulez seulement supprimer l'empreinte en laissant les pistes en place, supprimez simplement le composant dans ARES plutôt que sur le schéma.

les objets qui apparaissent en grisé dans ARES sont seulement placés visuellement; ils n'existent plus sur la carte. Le mieux est de toujours cliquer sur 'changement en attente' dans le status de connectivité et de rendre, par cette action, le circuit conforme au schéma (ISIS).

Les projets importés (d'anciennes versions) seront toujours lancés avec une netlist temps réel désactivée. A l'inverse, les nouveaux projets auront toujours l'option 'netlist temps réel' activée.

Plans de masse et découpes

A présent que le circuit est routé nous approchons de la fin de la phase de conception. Pour minimiser l’impédance des pistes nous allons placer un plan de masse qui recouvre la totalité de la carte.

Placement d'un plan de masse

Le plan de masse à réaliser est le plus simple possible ; il est disponible sur tous les niveaux de Proteus PCB Professionnel. Lancez la commande ‘Générateur de plan de masse’ du menu ‘Outils’.

Lancer le générateur de plan de masse dans le menu 'Outil'

Dans la boite de dialogue qui s’ouvre validez le lien GND=POWER, conservez la couche soudure (bottom copper) et validez le style de frontière T10. C’est le style avec lequel les frontières intérieures et extérieures de la zone seront dessinées. La valeur détermine également la plus petite section de cuivre avec laquelle le plan de masse peut se connecter. Augmenter cette valeur évitera la propagation du cuivre dans les petits espaces (par exemple entre les broches des composants), alors que diminuer cette valeur fera que la connectivité sera réalisée avec des fines sections de cuivre.

Le dernier champ, qui précise l’isolement entre le plan de masse et le bord de carte, ne doit pas être modifié.

Boite de dialogue du Générateur de plans de masse

Après avoir cliqué sur OK vous devriez obtenir un plan de masse réparti sur la totalité du circuit.

Une fois le plan de masse généré, votre carte devrait ressembler au dessin ci-dessus.

Propagation des zones et îlots

Il existe plusieurs options de configuration disponibles à présent que la zone a été placée. Dans ARES, l’édition d’une zone est légèrement différente de celle des autres objets. Vous devez cliquer droit sur le bord de la zone (pour éviter des sélections non désirées).

Premièrement, cochez le filtre de sélection et vérifiez que le type d’objet zone est actif (ou commutez en mode sélection).

L'icône Zone sur le filtre de sélection

Puis zoomez et déplacez la souris sur un coin de la zone, cliquez droit avec la souris lorsque vous constatez que la zone devient active sous le pointeur souris. Choisissez l’option ‘Editer propriétés’ du menu contextuel.

Cliquez droit sur la zone et sélectionnez 'Editer propriétés'.

Les diverses options disponibles dans la boite de dialogue sont expliquées ci-dessous:

Freins thermiques

Lorsque cette case est cochée, les broches dont le lien (équipotentiel) est identique au plan de masse y seront reliées par des freins thermiques ; la largeur du lien thermique est indiquée dans le champ ‘Largeur frein’ de la boite de dialogue.

Le logiciel empêchera que vous puissiez utiliser un style de frein plus large que l’épaisseur du style frontière.

La topologie du relief de la tige sur une pastille particulière peut être changée en une diagonal 'X' en éditant cette pastille après le placement. Cela peut être utile pour maximiser le contact avec une zone précise.

Cette option ne devrait pas être modifiée – la case devrait rester cochée.

Exclure une ou des piste(s)

Si cette option est cochée, la zone considérera les pistes du même potentiel comme des obstacles. Dans le cas contraire la zone ignorera les pistes en question et se propagera sur elles. Les pistes des autres liens ou les morceaux de pistes sans lien seront traités comme des obstacles.

Cette option est habituellement décochée.

Router dans cette Zone

Lorsque cette case est cochée le routeur automatique est autorisé à placer automatiquement des pastilles CMS dans la zone.

Supprimer îlots

Pour ARES, un îlot est un bloc de cuivre ou une zone dans laquelle aucune connexion n’est possible. Lorsque la case est cochée, ARES supprimera ces blocs du circuit, en ne conservant que les surfaces de cuivre qui possèdent des connexions.

Autoriser propogation

Il est courant, particulièrement avec des circuits importants, que la propagation d’une zone rencontre un obstacle qui la bloque. Lorsque cette case est cochée la zone sautera l’obstacle et poursuivra sa propagation tout au long du circuit.

Ceci est très utile, par exemple, pour des circuits encombrés ou lorsque vous souhaitez connecter une pastille alors que la topologie de la carte ne permet pas à une zone d’y accéder.

Pour notre circuit relativement simple les options par défaut conviennent parfaitement. Le fait de cocher l’option de zones imbriquées n’aura pas d’effet car il n’existe pas de frontière intérieure à la carte. Cependant si vous souhaitez l’expérimenter vous verrez que le fait de décocher l’option ‘supprimer ilots’ produit une zone qui se propage plus que la configuration choisie initialement.

Nous avons expliqué dans ce tutorial les bases des plans de masse en relation avec notre projet. Pour plus d’information il vous faudra consulter le chapitre dédié à ce sujet dans le manuel.

Voir également:

Exemples de plan de masse

Utiliser des plans de masse

Découpes

Pour terminer le circuit revenons à notre capteur de température/humidité (U3). Nous avions expliqué que pour que les mesures soient valables nous devions réaliser une découpe autour de ce composant afin que la température effectivement mesurée soit celle de l’environnement et pas celle du circuit lui-même.

Nous avions placé une région délimitée autour de ce composant pour éviter que le routeur automatique place des pistes dans la portion à découper. Zoomez sur U3 et supprimez le rectangle de délimitation. Vous devrez valider le mode sélection ou agir sur le filtre de sélection pour ne conserver que les graphiques 2D.

Supprimer une zone déllmitée

Tant que nous y sommes, profitons-en pour supprimer également la région keepout autour de l’oscillateur.

Revenons à U3 pour définir la découpe. Pour cela il faut passer par deux étapes ; nous devons placer un graphique sur la couche mécanique puis indiquer que cette couche est une couche de découpe lors de la génération des fichiers de fabrication.

Validez l’icône de ligne graphique 2D, choisissez la couche MECH1 dans le sélecteur de couches et placez trois lignes pour former une découpe en ‘U’.

Placer une fente/découpe

Nous allons à présent épaissir les trois lignes:

Validez l’icône de mode sélection (pointeur souris), maintenez le bouton CTRL du clavier enfoncé et cliquez gauche une fois sur chaque ligne. Les trois lignes sont ainsi sélectionnées

Sélectionnez les items en blanc

Cliquez droit sur une des trois lignes pour choisir l’option ‘Editer propriétés’ du menu contextuel.

Décochez la case ‘Suivre global’, modifiez la largeur à 20th et appliquez cette largeur à tous les objets graphiques sélectionnés.

Nous verrons plus loin comment indiquer que la couche MECH1 contient une découpe, dans le chapitre dédié au sorties de fabrication.

Visualisation 3D

Une fois le circuit routé et prêt pour la fabrication, nous allons l’examiner en 3D afin de voir comment il se présente et, peut-être, apporter des modifications. Lancez le noyau de visualisation 3D depuis le menu ‘Sortie’ d’ARES.

Icône du visionneur 3D

Le visionneur 3D s'ouvrira dans un nouvel onglet. Comme pour tous les autres onglets, vous pouvez le déplacer dans une fenêtre séparée si vous souhaitez voir simultanément votre circuit en 2D et en 3D.

Les bases de la navigation 3D

Pour commencer, nous pouvons visualiser le circuit selon différentes vues. Cinq vues prédéfinies existent : vue de dessus, de face, arrière, gauche et droite.

Ces vues sont accessibles par les méthodes suivantes :

  • Via les options du menu 'Affichage’ du visionneur 3D

  • Depuis la barre d’outils de navigation en bas du visionneur 3D

  • Via les raccourcis claviers F8 à F12 lorsque le visionneur 3D est lancé.

[

A présent que nous savons regarder le circuit selon divers angles, regardons comment changer le niveau de zoom. Cette fonction est également accessible de plusieurs façons :

  • Tournez la molette centrale de la souris dans les deux sens (recommandé)

  • Utilisez les options du menu ‘Affichage’

  • Utilisez les icônes de la barre d’outils de navigation

  • Utilisez les raccourcis claviers de F6 (zoom avant) à F7 (zoom arrière)

Expérimentez ces possibilités de zoom et de point de vue – chaque utilisateur trouvera une méthode qui lui correspond le mieux, mais nous pensons qu’il est naturel d’utiliser la barre d’outils pour modifier le point de vue et la molette de la souris pour faire varier le niveau de zoom.

Vue de la carte nue et hauteur d'isolement

Pour l'inspection du vernis épargne et de la profondeur des trous, il est souvent nécessaire de visualiser la carte sans les composants. En sélectionnant le visionnage de la carte nue, vous ôterez tous les composants physiques de la carte.

Montrer/ Cacher les composants de la carte

Par contraste, si vous avez besoin de placer le PCB dans un chassis et souhaitez contrôler la hauteurs des isolements, vous pouvez le faire via l'icône en bas de la fenêtre d'édition, comme montré ci-dessous.

Montrer/ Cacher les limites en hauteur dans un bloc translucide

La spécification de la hauteur se fait à partir de la commande 'Dimensions' dans le menu 'Réglage' du visionneur 3D.

Boite de dialogue de paramètrage des dimensions 3D

Vues personnalisées

L’étape suivante consiste à personnaliser l’angle de vue. Le principe correspond à ‘attacher’ la souris à la caméra afin de ses déplacements orientent la caméra vers la zone à visualiser. Vous pouvez lancer ce mode de navigation via le menu ‘Affichage’, l’icône ‘cible’ de la barre d’outils de navigation ou par un clic gauche avec la souris.

Curseur 3D

Une fois dans ce mode, le visuel du curseur souris ci-dessus apparaîtra. L’utilisation conjointe de ce mode avec la molette souris permet de survoler le circuit afin d’en examiner plus finement une portion avec le zoom. Un clic droit permet de quitter ce mode.

Par exemple, commencez par la vue de face (raccourci clavier F9) pour examiner les résistances placées à droite.

1) Cliquez gauche pour entrer dans le mode de navigation.

2) Placez la souris sur les résistances.

3) Tournez la molette pour zoomer comme souhaité.

4) Cliquez droit pour sortir du mode de navigation.

Pour terminer, sachez qu’il est possible de roter l’ensemble du circuit autour d’un axe. En mode de navigation, ceci s’obtient en maintenant le bouton gauche enfoncé, puis en déplaçant la souris. L’action induite est une rotation de la carte en relation avec le déplacement de la souris – lorsque vous relâchez le bouton de la souris, la caméra suit le déplacement de la souris. Faites l’essai de cette fonctionnalité.

Rappelez-vous qu’à tout instant vous pouvez revenir à une vue prédéfinie via la barre d’outils de navigation. Avec un peu de pratique vous deviendrez un pro de la navigation 3D.

En résumé:

  • Cliquez gauche pour valider le mode de navigation.

  • Dans ce mode la caméra suit les déplacements souris autour du circuit.

  • Utilisez la molette souris (ou les raccourcis clavier) pour modifier le niveau de zoom.

  • Enfoncez le bouton gauche de la souris pour roter le circuit en totalité.

  • Cliquez droit pour sortir du mode de navigation.

Quittez le navigateur 3D depuis le menu ‘Fichier’ pour revenir à ARES.

Mise à jour en temps réel

Comme pour tous les autres modules de Proteus, le résultat du visionneur 3D est modifié en tant réel lorsqu'un changement est effectué sur le circuit dans ARES. En pratique, le bon fonctionnement de cette fonction dépend en grande partie de la puissance de votre ordinateur et de la complexité de la carte.

Vous trouverez plus d’explications sur le visionneur 3D, la création de modèles, la personnalisation et l’application des données 3D aux anciens projets dans le chapitre prévu à cet effet.

Options de sortie de circuit/Impression

Enfin, nous arrivons à l'étape cruciale de reproduire, sur papier ou sur film, ce qui est visualisé à l'écran. Sous Windows, la plupart des dispositifs d'impression sont supportés via les pilotes d'impression fournis par les constructeurs, bien que nous fournissions nos propres pilotes pour traceurs, phototraceurs Gerber et machine de perçage Excellon.

Impression

Nous traiterons ici uniquement de l’impression sur un périphérique Windows ordinaire. Avant d'imprimer, il est nécessaire de valider le bon pilote en utilisant la commande 'Configuration imprimante' du menu 'Sortie'. Cette commande appelle la boite de dialogue Windows de configuration de l'imprimante. Les détails dépendent de la version de Windows et du pilote de votre imprimante – veuillez consulter les documentations correspondantes.

Puis, sur la base du circuit chargé, sélectionnez la commande 'Imprimer' du menu 'Sortie'.

La boite de dialogue contient de nombreux champs de contrôle qui possèdent tous une aide contextuelle (utilisez le mécanisme ‘pointez et cliquez’ après avoir validé la touche ‘?’ placée en haut et à droite de la fenêtre). La configuration par défaut devrait convenir et il vous suffit de cliquer sur OK. La sortie peut être annulée en utilisant la touche "Echappement", bien qu’il se passera un peu de temps avant l’arrêt complet de l’impression car il faut que le tampon mémoire de l’imprimante soit vidé préalablement.

Avec les traceurs vous devrez probablement expérimenter diverses configurations avant d’obtenir des résultats optimaux.

ARES mémorisera la configuration imprimante indépendamment des autres applications Windows. Ceci signifie que vous pouvez configurer votre imprimante pour une utilisation personnalisée avec ARES.

Fichier de sortie pour la fabrication

ARES fournit deux options de sorties pour la carte:

  • Les fichiers traditionnels GERBER ou Excellon (valables avec toutes les version professionnelles).

  • La sortie de fabrication au standard ODB++ (disponible à partir des niveaux 2, 2+ et 3).

Pour l’utilisateur d’ARES les deux options sont comparables mais pour un fabricant de circuits imprimés la sortie ODB++ fournit beaucoup plus d’informations que les formats Gerber plus anciens.

Les exemples incluent :

  • Des informations de connectivité (netlist) dans les fichiers produits.

  • Des spécifications sur les pastilles métallisées.

  • Des repères pour machines de placement automatique (fiducials).

En conséquence ceci signifie que la base de données générée en ODB++ aboutit à un contrôle plus complet des informations. Cependant, les sorties au standard Gerber/Excellon sont toujours valables pour la fabrication et suffiront dans la majorité des cas.

Quelle que soit les fichiers générés la procédure est identique. Lancez la commande ‘Sorties Gerber/Excellon’ ou ‘Sortie ODB++’ du menu ‘Sorties’ d’ARES. Avant de lancer la génération des fichiers de fabrication, ARES lance un contrôle interne de pré-production pour vous informer d'erreurs éventuelles rencontrées.

Le contrôle de pré-production

Si votre contrôle pré-fabrication signale des erreurs, alors nous vous recommandons fortement de les résoudre avant de lancer la boite de dialogue de sortie des fichiers de fabrication. Notez également que ce contrôle n'est pas une garantie en soi; une inspection manuelle du projet est fortement recommandée, avec la fabrication d'un prototype avant une production de masse.

Vous trouverez plus d'informations sur le contrôle pré-production dans la section fichier de sortie GERBER.

La boite de dialogue de création des fichiers de fabrication ressemble à celle-ci.

Boite de dialogue Gerber / Excellon

Les options du bloc supérieur ne nécessitent pas plus d’explications mais il est nécessaire de regarder plus en détail les autres options.

Le logiciel tente de fournir toutes les informations relatives à chaque couche sachant qu’il est important de toujours tout vérifier car un des problèmes courant rencontré en fabrication intervient lorsque les données sont incomplètes.

Lorsqu’elle est validée l’option ‘Distance d’isolement global’ valide un accroissement de la valeur indiquée du vernis épargne autour des pastilles et des traversées. Cette valeur est appliquée sur toutes les pastilles et les traversées excepté celles qui ont été modifiées manuellement. Certains fabricants de circuits préfèrent créer un vernis épargne ‘maison’. Sauf indication contraire il est recommandé de ne pas cocher cette option.

L’option couche routage/découpe indique explicitement quelle couche de la carte inclut les informations sur les découpes effectuées dans le circuit. Dans notre tutorial nous avons utilisé la couche MECH1 qui doit être validée dans la liste.

Mech1 sélectionné dans le sélecteur routage/découpe

L’option Rasterizer bitmap/police contrôle l’épaisseur du tracé utilisé pour le rendu des bitmaps et, plus important, des plans de masse. Augmenter la résolution améliore le rendu mais également la taille des fichiers. Il est possible que certains fabricants imposent une largeur minimale est, dans ce cas, il faut réduire la valeur en DPI. La valeur proposée par défaut est un bon compromis.

L’option de la partie inférieure gauche permet de charger automatiquement la sortie soit dans le visionneur Gerber de Labcenter (Sortie Gerber/Excellon), soit dans le visionneur ODB++ de Valeur (Sortie ODB++). C’est utile pour vérifier le contenu des fichiers avant des les transmettre au fabricant.

Si vous souhaitez un circuit panélisé vous devrez utiliser la commande ‘Sortie Gerber/Excellon’, lancer le visionneur et sélectionner le mode panneau de la boite de dialogue. Voir le manuel de référence pour plus d’information.

Voir également:

Panélisation

Pour terminer l’onglet Notes permet d’ajouter des informations utiles à transmettre au fabricant. C’est important lorsque vous avez pratiqué une découpe sur une couche car il n’existe pas de standard à ce sujet. Dans notre cas il suffirait d’indiquer que la couche MECH1 a été utilisée pour représenter la découpe.

Après avoir configuré toutes les options, nous pouvons générer les fichiers et les envoyer au fabricant.

APPENDICE : Créer de nouveaux packages (boîtiers)

ARES est livré avec de nombreuses empreintes physiques; nous avons vu précédemment comment les sélectionner et les placer sur la carte. Cependant, il pourrait vous être utile de créer vos propres empreintes ou symboles. Ce processus est détaillé ci-dessous:

Dessiner une empreinte

Nous allons prendre comme exemple la création d'une empreinte SQFP44 de 0.8mm de pas et 12mm de longueur.

Le package SQFP44 tel qu'il est sauvegardé dans nos bibliothèques

Commencez par sélectionner la pastille CMS rectangulaire. Nous voulons une pastille de 0.5mm par 1.8mm qui existe déjà sous la référence M0.5x1.8.

Pastille de référence M0.5x1.8

Si le style de pastille n'existe pas, vous pouvez aisément le créer comme expliqué plus haut dans le tutorial (cliquez sur le bouton 'C' du sélecteur d'objets).

Assurez-vous que le sélecteur de couche est sur la couche composant (Top Copper) et placez la pastille. Cliquez droit pour arrêter le placement immédiatement après avoir placé une seule et unique pastille, puis cliquez gauche sur la pastille pour la mettre en surbrillance. Une fois la pastille marquée, allez dans le menu 'Edition' et sélectionnez la commande 'Dupliquer'. Vous pouvez également cliquer droit sur la pastille et sélectionner la commande 'Dupliquer' dans le menu contextuel.

Cliquez droit et sélectionnez la commande 'Dupliquer'

La commande 'Dupliquer' agit sur les objets sélectionnés, donc assurez-vous que vous avez bien marqué une seule et unique pastille avant de lancer la commande.

Il y a 11 pastilles de chaque côté de l'empreinte, donc nous n'avons besoin que de dupliquer 10 fois la pastille avec un pas X de 0.8mm comme montré dans la fenêtre ci-dessous.

Nous obtenons une rangée de pastilles avec les bonnes caractéristiques (vous pouvez zoomer et contrôler cela avec la grille). La prochaine étape est de dupliquer cette rangée de pastilles vers le bas pour former la base de l'empreinte.

Commencez par cliquer droit sur la souris et dessiner un carré de sélection autour de la rangée de pastilles, puis cliquez droit à l'intérieur de la sélection et lancez la boite de dialogue 'Dupliquer' dans le menu déroulant. La copie est placée à 12mm de la ligne courante vers le bas (ou le haut). Validez le déplacement avec les coordonnées.

Nous avez à présent besoin de répéter le processus avec les deux autres rangées. Sélectionnez l'une des rangées, cliquez droit à l'intérieur de la sélection, puis sélectionnez l'option 'Copier bloc' dans le menu déroulant.

Option 'Copier bloc' pour copier tout ce qui se trouve à l'intérieur du rectangle de sélection

Déplacez la souris vers une zone libre, puis cliquez gauche pour placer la copie de la rangée de pastilles; enfin, cliquez droit pour sortir du mode 'Copier'. Maintenant, dessinez une zone de sélection autour de la rangée de pastilles et cliquez droit pour sélectionner l'option 'Rotation de bloc', puis spécifiez un angle de rotation de 90°C pour aligner correctement les pastilles.

Rotation à 90°C du bloc sélectionné

Afin de positionner la rangée au bon endroit, il est préférable de placer d'abord un marqueur sur la zone où vous souhaitez déplacer la rangée de pastilles. Pour cette empreinte, le centre de la pastille supérieure gauche,est à 2mm au-dessous et 2mm à gauche du centre de la pastille gauche de la ligne supérieure. Cela nous donne assez d'information pour positionner avec précision la rangée.

Sélectionnez le mode 'Marqueur', puis déplacez la souris sur la pastille la plus à gauche de la rangée supérieure jusqu'à ce qu'elle soit encerclée. Choisissez alors une grille adaptée (par exemple 0.5mm ou raccourci F2).

Placer un marqueur sur la première broche

Si la grille est en mode impérial, vous pouvez commuter en mode métrique grâce au bouton ‘M’ du clavier ou la commande ‘Unité’ du menu ‘Affichage’.

Maintenant, utilisez la touche 'O' du clavier pour placer une fausse origine à cet endroit, puis lancez la commande 'Aller en X Y' à partir du menu 'Outils'.

Entrez –2mm pour les deux coordonnées X et Y (c’est à dire en bas et à gauche par rapport au point courant) et validez ‘Origine courante’. Puis quittez la boite de dialogue et cliquez deux fois pour placer le marqueur à cet emplacement.

Boite de dialogue 'Goto-XY'

Le marqueur va nous servir pour placer la pastille la plus haute de notre troisième ligne. Sélectionnez la ligne avec un rectangle de sélection, placez votre souris dans le rectangle, appuyez sur le bouton gauche de la souris et déplacez la ligne à l’endroit souhaite. Sachez que, pendant le déplacement, vous pouvez zoomer (touches F6, F7 ou molette souris) et modifier le pas de la grille (CTRL+F1) si nécessaire.

Placez la 3ème rangée de pastilles

Après avoir placé la rangée de pastilles, cliquez droit sur le marqueur et supprimez-le. Nous reviendrons sur le placement des marqueurs plus tard. La dernière étape du placement de pastilles consiste à dupliquer la nouvelle rangée de pastilles placée sur le côté droit. Comme précédemment, dessinez un rectangle de sélection autour de la rangée de pastilles, puis utilisez la commande 'Copier' avec comme une coordonnée X de 12mm.

L’ajout de la sérigraphie est simple. Validez l’icône de ligne graphique 2D, assurez-vous que le sélecteur de couche est sur sérigraphique côté composant (top silk) et placez un rectangle comme ci-dessous. Utilisez le pas de grille F2.

Dessiner la sérigraphie à l'intérieur des pastilles

Il nous faut ensuite numéroter les pastilles. Commencez par invoquer le 'Générateur automatique de noms' dans le menu 'Outils'. N’indiquez rien dans le premier champ, conservez 1 dans ‘Compteur’. Il vous suffit de cliquer successivement sur les pastilles en commençant par la pastille supérieure gauche de la ligne verticale gauche.

Utilisation du Générateur automatique de noms pour numéroter les pastilles

A l’issue de la numérotation de la pastille 44 appuyez sur la touche clavier "Echappement" pour quitter ce mode.

IL est d’usage de placer un petit point à côte de la pastille 1, ce vous pouvez faire avec l’icône de cercle graphique 2D. Vérifiez que la couche est Top silk et adaptez le pas de grille (CTRL+F1) pour faciliter le placement.

Utilisation du cercle graphique en 2D pour placer un marqueur sur la broche 1

Pour finir, nous allons indiquer l’origine du composant (le point utilisé pour le placement) ainsi que l’endroit où placer les graphiques de sérigraphie qui référencent le composant. Pour cela nous utiliserons des marqueurs.

Validez le mode marqueur et choisissez le marqueur ORIGIN dans le sélecteur d’objets. Nous avons déjà utilisé un marqueur origine comme point de référence mais sa vraie utilité est d’indiquer l’origine du composant pour le placement et la rotation. Pour faire simple nous allons placer une origine sur la broche 1 ; cliquez gauche pour débuter le placement, déplacer la souris au-dessus de la broche 1 et cliquez gauche à nouveau pour valider la position du marqueur origine.

Placer un marqueur sur la broche 1

Maintenant, changez le type de marqueur en REFERENCE dans le sélecteur d'objets. Le marqueur indique où sera placée la référence du composant (par exemple U1, R12, C3). Nous indiquerons une position au-dessus du composant.

Marqueur référence

C’est terminé. Nous allons regrouper tous les éléments pour créer un package (boîtier) que nous placerons en bibliothèque.

Faire le packaging (boîtier) d'une empreinte

Définissez un rectangle de sélection autour de l’empreinte et des graphiques et appelez la commande ‘Créer package‘ du menu ‘Bibliothèque’.

Appelez l'outil 'Créer Package' à partir du menu 'Bibliothèque'

Le premier écran est simple à comprendre et identique à celui d’ISIS. Il est important de consacrer un peu de temps à la description pour faciliter sa recherche ultérieure. Nous allons placer l’élément créé dans la bibliothèque USERPKG disponible par défaut pour les packages utilisateur.Nous appellerons le nouveau package TESTPKG.

La boite de dialogue de création des packages

Vous pouvez créer d’autres bibliothèques personnelles via le gestionnaire de bibliothèques – voir le manuel de référence. Vous ne devez pas placer vos packages dans les bibliothèques fournies par Labcenter car elles peuvent être mises à jour à chaque nouvelle version du logiciel.

Passez ensuite à l’onglet de visualisation 3D (ne cliquez pas encore sur le bouton OK).

Visualisation 3D

Ce que nous devons surtout faire ici, c'est de fournir un maximum d'information afin d'obtenir une image 3D du composant qui pourra être utiliser dans le visionneur 3D afin de contrôler la carte. La tâche nous est facilitée par la prévisualisation 3D disponible dans la boite de dialogue "Créer un package" et qui est mise à jour en temps réel en fonction des paramètres modifiés.

L’explication sur les paramètres 3D et les valeurs sort du cadre du tutorial et nous nous contenterons d’entrer les données présentées dans la copie écran ci-dessous.

Propriétés 3D

Après l’entrée des valeurs cliquez sur OK pour valider les modifications en bibliothèque.

A présent, si vous validez l’icône Package, vous constaterez que TESTPKG apparaît dans le sélecteur d’objets et qu’il est possible de le placer comme tout autre boîtier déjà utilisé. Après avoir placé un élément l’appel de la commande ‘Visualisation 3D’ du menu ‘Sortie’ provoque un affichage 3D.